%define upstream_name    File-Fu
%define upstream_version v0.0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Temporary files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Classy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.0.8-2.mga4
+ Revision: 537145
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.0.8-1.mga4
+ Revision: 486385
- update to v0.0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-3.mga3
+ Revision: 367260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.0.7-2.mga3
+ Revision: 326457
- fix build on tmpfs (rt#57472)

* Thu Oct 20 2011 jquelin <jquelin> 0.0.7-1.mga2
+ Revision: 156813
- imported package perl-File-Fu


* Thu Oct 20 2011 cpan2dist v0.0.7-1mga
- initial mageia release, generated with cpan2dist
